package com.zbf.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 入库任务对象 t_ongoodsshelf_bak
 *
 * @author tony
 * @date 2024-07-04
 */
@TableName(resultMap = "com.zbf.system.mapper.TOngoodsshelfBakMapper.TOngoodsshelfBakResult")
@Data
public class TOngoodsshelfBak extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */

    private String id;
    /** PLC编号 */
    @Excel(name = "任务号")
    private Long plcId;
    /** 申请单号 */
//    @Excel(name = "申请单号")
    private String lotId;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String goodsId;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String goodsName;

    /** 中标供应商 */
//    @Excel(name = "供应商编号")
    private String providerId;

    /** 库位 */
    @Excel(name = "库位")
    private String locationId;

    /** 需求数量 */
//    @Excel(name = "需求数量")
    private BigDecimal stoNum;

    /** 托盘号 */
    @Excel(name = "容器号")
    private String ctl;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String recoil;

    /** 入库数量 */
    @Excel(name = "入库数量")
    private BigDecimal accNum;

    /** 库存数量 */
//    @Excel(name = "库存数量")
    private BigDecimal stockNum;

    /** 入库时间 */
    @Excel(name = "入库时间")
    private String ondate;

    /** 收货人 */
//    @Excel(name = "收货人")
    private String receiver;

    /** 仓库ID */
    @Excel(name = "仓库")
    private String storageId;
    /** 仓库名称 */
//    @Excel(name = "仓库名称")
    private String storageShortName;

    /** 库区ID */
//    @Excel(name = "库区")
    private String storageAreaId;

    /** 需求组织 */

    private String operatorId;

    /** 存储模式 */

    private String storageMode;

    /** 物料体积 */

    private BigDecimal goodsVolume;

    /** 条形码 */
//    @Excel(name = "条形码")
    private String barcode;

    /** 招标员 */

    private String customerId;

    /** 需求部门 */
    @Excel(name = "需求部门")
    private String needDept;

    /** 收货组织 */

    private String produclotId;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 主管部门 */
//    @Excel(name = "主管部门")
    private String respDept;

    /** 需求人 */
    @Excel(name = "需求人")
    private String needPerson;
    /** 需求人联系方式 */
//    @Excel(name = "联系方式")
    private String needTel;
    /** 申请部门 */
//    @Excel(name = "申请部门")
    private String supplier;



    /** 站台 */

    private String instand;

    /** 品牌 */
//    @Excel(name = "品牌")
    private String brand;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private String taskType;

    /** 申请人 */
//    @Excel(name = "申请人")
    private String applicant;

    /** 包装数量 */

    private BigDecimal packingNum;

    /** 损害数量 */

    private BigDecimal damageNum;

    /** 采购组织 */

    private String purchaseDept;

    /** 计划单价（含税） */
//    @Excel(name = "计划单价", readConverterExp = "含税")
    private BigDecimal price;

    /** 测量单位 */

    private String scaleUnit;

    /** 总量 */

    private BigDecimal totalVolume;

    /** 毛重 */

    private BigDecimal totalRoughWeight;

    /** 净重 */

    private BigDecimal totalNetWeigh;

    /** 计划金额 */

    private BigDecimal totalMoney;

    /** wms订单号 */

    private String acceId;

    /** 状态 */
//    @Excel(name = "状态")
    private String inStatus;

    /** 标志 */
//    @Excel(name = "标志")
    private String flag;

    /** 标准箱 */
//    @Excel(name = "标准箱")
    private String standard;

    /** 本场批次 */

    private String innerBatchNo;

    /** 打印次数 */
//    @Excel(name = "打印次数")
    private BigDecimal printCs;

    /** 打印状态 */

    private String printSts;

    /** 入库方式 */
//    @Excel(name = "入库方式")
    private BigDecimal purchaseType;

    /** 人工码盘 */

    private String manualTrayState;

    /** 规格 */
//    @Excel(name = "规格")
    private String spec;

    /** 采购入库单号 */
//    @Excel(name = "采购入库单号")
    private String wmsOrderId;

    /** 外部批次号 */

    private String batchNo;

    /** 破损库位 */

    private String damageLocation;

    /** 状态 */
//    @Excel(name = "状态")
    private String status;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specification;

    /** 物料分类 */
//    @Excel(name = "物料分类")
    private String goodsTypeId;


    private Date operateDate;


    /** 计划日期 */

    private String planDate;

    /** 计划时间 */

    private String planTime;

    /** 需求周期 */

    private BigDecimal needCycle;

    /** 需求类型 */

    private String needType;

    /** 需求时间 */

    private String expiryDate;

    /** 建议供应商名称 */
//    @Excel(name = "供应商名称")
    private String providerName;

    /** 收货人部门 */
//    @Excel(name = "收货人部门")
    private String receiverDept;

    /** 送货区域 */

    private String receivingArea;

    /** 技术需求附件 */

    private String packageId;

    /** 用途 */
//    @Excel(name = "用途")
    private String useType;

    /** 中标供应商联系方式 */

    private String telephone;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 宽 */

    private String wgh;

    /** 高 */

    private String high;

    /** 质检状态 */

    private String qualityInspecStatus;

    /** 保质期 */

    private String periodUnit;

    /** 保质期单位 */

    private BigDecimal period;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String reportTime;

    /** 子需求编号 */
//    @Excel(name = "子需求编号")
    private String salesOrderNumber;

    /** $column.columnComment */

    private Long deptId;

    /** 通知单明细编号 */
//    @Excel(name = "通知单明细编号")
    private String noticeTabId;
    @TableField(exist = false)
    private List<String> storageList;


    /** ABC分类 */
//    @Excel(name = "ABC分类")
    private String abc;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss ")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String[] Date;


    private String startTime;

    private String endTime;

    /** 1:一级库 2：二级库 */
    @Excel(name = "库级")
    private String levelType;

    /** 暂存收货库位 */
    private String virtuallyLocation;

    /**任务通知ID */
    private String callNoticeId;

    public String getNeedTel() {
        return needTel;
    }

    public void setNeedTel(String needTel) {
        this.needTel = needTel;
    }

    public String getNeedPerson() {
        return needPerson;
    }

    public void setNeedPerson(String needPerson) {
        this.needPerson = needPerson;
    }

    public String[] getDate() {
        return Date;
    }

    public void setDate(String[] date) {
        Date = date;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCallNoticeId() {
        return callNoticeId;
    }

    public void setCallNoticeId(String callNoticeId) {
        this.callNoticeId = callNoticeId;
    }

    public String getVirtuallyLocation() {
        return virtuallyLocation;
    }

    public void setVirtuallyLocation(String virtuallyLocation) {
        this.virtuallyLocation = virtuallyLocation;
    }

   public String getAbc() {
        return abc;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getLevelType() {
        return levelType;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }
    public List<String> getStorageList() {
        return storageList;
    }
    public void setStorageList(List<String> storageList) {
        this.storageList = storageList;
    }
    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setLotId(String lotId)
            {
            this.lotId = lotId;
            }

    public String getLotId()
            {
            return lotId;
            }
    public void setGoodsId(String goodsId)
            {
            this.goodsId = goodsId;
            }

    public String getGoodsId()
            {
            return goodsId;
            }
    public void setProviderId(String providerId)
            {
            this.providerId = providerId;
            }

    public String getProviderId()
            {
            return providerId;
            }
    public void setLocationId(String locationId)
            {
            this.locationId = locationId;
            }

    public String getLocationId()
            {
            return locationId;
            }
    public void setStoNum(BigDecimal stoNum)
            {
            this.stoNum = stoNum;
            }

    public BigDecimal getStoNum()
            {
            return stoNum;
            }
    public void setCtl(String ctl)
            {
            this.ctl = ctl;
            }

    public String getCtl()
            {
            return ctl;
            }
    public void setRecoil(String recoil)
            {
            this.recoil = recoil;
            }

    public String getRecoil()
            {
            return recoil;
            }
    public void setAccNum(BigDecimal accNum)
            {
            this.accNum = accNum;
            }

    public BigDecimal getAccNum()
            {
            return accNum;
            }
    public void setStockNum(BigDecimal stockNum)
            {
            this.stockNum = stockNum;
            }

    public BigDecimal getStockNum()
            {
            return stockNum;
            }
    public void setOndate(String ondate)
            {
            this.ondate = ondate;
            }

    public String getOndate()
            {
            return ondate;
            }
    public void setReceiver(String receiver)
            {
            this.receiver = receiver;
            }

    public String getReceiver()
            {
            return receiver;
            }
    public void setStorageId(String storageId)
            {
            this.storageId = storageId;
            }

    public String getStorageId()
            {
            return storageId;
            }
    public void setStorageAreaId(String storageAreaId)
            {
            this.storageAreaId = storageAreaId;
            }

    public String getStorageAreaId()
            {
            return storageAreaId;
            }
    public void setOperatorId(String operatorId)
            {
            this.operatorId = operatorId;
            }

    public String getOperatorId()
            {
            return operatorId;
            }
    public void setStorageMode(String storageMode)
            {
            this.storageMode = storageMode;
            }

    public String getStorageMode()
            {
            return storageMode;
            }
    public void setGoodsVolume(BigDecimal goodsVolume)
            {
            this.goodsVolume = goodsVolume;
            }

    public BigDecimal getGoodsVolume()
            {
            return goodsVolume;
            }
    public void setBarcode(String barcode)
            {
            this.barcode = barcode;
            }

    public String getBarcode()
            {
            return barcode;
            }
    public void setCustomerId(String customerId)
            {
            this.customerId = customerId;
            }

    public String getCustomerId()
            {
            return customerId;
            }
    public void setNeedDept(String needDept)
            {
            this.needDept = needDept;
            }

    public String getNeedDept()
            {
            return needDept;
            }
    public void setProduclotId(String produclotId)
            {
            this.produclotId = produclotId;
            }

    public String getProduclotId()
            {
            return produclotId;
            }
    public void setUnit(String unit)
            {
            this.unit = unit;
            }

    public String getUnit()
            {
            return unit;
            }
    public void setRespDept(String respDept)
            {
            this.respDept = respDept;
            }

    public String getRespDept()
            {
            return respDept;
            }
    public void setPlcId(Long plcId)
            {
            this.plcId = plcId;
            }

    public Long getPlcId()
            {
            return plcId;
            }
    public void setSupplier(String supplier)
            {
            this.supplier = supplier;
            }

    public String getSupplier()
            {
            return supplier;
            }
    public void setGoodsName(String goodsName)
            {
            this.goodsName = goodsName;
            }

    public String getGoodsName()
            {
            return goodsName;
            }
    public void setInstand(String instand)
            {
            this.instand = instand;
            }

    public String getInstand()
            {
            return instand;
            }
    public void setBrand(String brand)
            {
            this.brand = brand;
            }

    public String getBrand()
            {
            return brand;
            }
    public void setTaskType(String taskType)
            {
            this.taskType = taskType;
            }

    public String getTaskType()
            {
            return taskType;
            }
    public void setApplicant(String applicant)
            {
            this.applicant = applicant;
            }

    public String getApplicant()
            {
            return applicant;
            }
    public void setPackingNum(BigDecimal packingNum)
            {
            this.packingNum = packingNum;
            }

    public BigDecimal getPackingNum()
            {
            return packingNum;
            }
    public void setDamageNum(BigDecimal damageNum)
            {
            this.damageNum = damageNum;
            }

    public BigDecimal getDamageNum()
            {
            return damageNum;
            }
    public void setPurchaseDept(String purchaseDept)
            {
            this.purchaseDept = purchaseDept;
            }

    public String getPurchaseDept()
            {
            return purchaseDept;
            }
    public void setPrice(BigDecimal price)
            {
            this.price = price;
            }

    public BigDecimal getPrice()
            {
            return price;
            }
    public void setScaleUnit(String scaleUnit)
            {
            this.scaleUnit = scaleUnit;
            }

    public String getScaleUnit()
            {
            return scaleUnit;
            }
    public void setTotalVolume(BigDecimal totalVolume)
            {
            this.totalVolume = totalVolume;
            }

    public BigDecimal getTotalVolume()
            {
            return totalVolume;
            }
    public void setTotalRoughWeight(BigDecimal totalRoughWeight)
            {
            this.totalRoughWeight = totalRoughWeight;
            }

    public BigDecimal getTotalRoughWeight()
            {
            return totalRoughWeight;
            }
    public void setTotalNetWeigh(BigDecimal totalNetWeigh)
            {
            this.totalNetWeigh = totalNetWeigh;
            }

    public BigDecimal getTotalNetWeigh()
            {
            return totalNetWeigh;
            }
    public void setTotalMoney(BigDecimal totalMoney)
            {
            this.totalMoney = totalMoney;
            }

    public BigDecimal getTotalMoney()
            {
            return totalMoney;
            }
    public void setAcceId(String acceId)
            {
            this.acceId = acceId;
            }

    public String getAcceId()
            {
            return acceId;
            }
    public void setInStatus(String inStatus)
            {
            this.inStatus = inStatus;
            }

    public String getInStatus()
            {
            return inStatus;
            }
    public void setFlag(String flag)
            {
            this.flag = flag;
            }

    public String getFlag()
            {
            return flag;
            }
    public void setStandard(String standard)
            {
            this.standard = standard;
            }

    public String getStandard()
            {
            return standard;
            }
    public void setInnerBatchNo(String innerBatchNo)
            {
            this.innerBatchNo = innerBatchNo;
            }

    public String getInnerBatchNo()
            {
            return innerBatchNo;
            }
    public void setPrintCs(BigDecimal printCs)
            {
            this.printCs = printCs;
            }

    public BigDecimal getPrintCs()
            {
            return printCs;
            }
    public void setPrintSts(String printSts)
            {
            this.printSts = printSts;
            }

    public String getPrintSts()
            {
            return printSts;
            }
    public void setPurchaseType(BigDecimal purchaseType)
            {
            this.purchaseType = purchaseType;
            }

    public BigDecimal getPurchaseType()
            {
            return purchaseType;
            }
    public void setManualTrayState(String manualTrayState)
            {
            this.manualTrayState = manualTrayState;
            }

    public String getManualTrayState()
            {
            return manualTrayState;
            }
    public void setSpec(String spec)
            {
            this.spec = spec;
            }

    public String getSpec()
            {
            return spec;
            }
    public void setWmsOrderId(String wmsOrderId)
            {
            this.wmsOrderId = wmsOrderId;
            }

    public String getWmsOrderId()
            {
            return wmsOrderId;
            }
    public void setBatchNo(String batchNo)
            {
            this.batchNo = batchNo;
            }

    public String getBatchNo()
            {
            return batchNo;
            }
    public void setDamageLocation(String damageLocation)
            {
            this.damageLocation = damageLocation;
            }

    public String getDamageLocation()
            {
            return damageLocation;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setSpecification(String specification)
            {
            this.specification = specification;
            }

    public String getSpecification()
            {
            return specification;
            }
    public void setGoodsTypeId(String goodsTypeId)
            {
            this.goodsTypeId = goodsTypeId;
            }

    public String getGoodsTypeId()
            {
            return goodsTypeId;
            }
    public void setOperateDate(Date operateDate)
            {
            this.operateDate = operateDate;
            }

    public Date getOperateDate()
            {
            return operateDate;
            }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getCreateTime()
    {
        return createTime;
    }
    public void setPlanDate(String planDate)
            {
            this.planDate = planDate;
            }

    public String getPlanDate()
            {
            return planDate;
            }
    public void setPlanTime(String planTime)
            {
            this.planTime = planTime;
            }

    public String getPlanTime()
            {
            return planTime;
            }
    public void setNeedCycle(BigDecimal needCycle)
            {
            this.needCycle = needCycle;
            }

    public BigDecimal getNeedCycle()
            {
            return needCycle;
            }
    public void setNeedType(String needType)
            {
            this.needType = needType;
            }

    public String getNeedType()
            {
            return needType;
            }
    public void setExpiryDate(String expiryDate)
            {
            this.expiryDate = expiryDate;
            }

    public String getExpiryDate()
            {
            return expiryDate;
            }
    public void setProviderName(String providerName)
            {
            this.providerName = providerName;
            }

    public String getProviderName()
            {
            return providerName;
            }
    public void setReceiverDept(String receiverDept)
            {
            this.receiverDept = receiverDept;
            }

    public String getReceiverDept()
            {
            return receiverDept;
            }
    public void setReceivingArea(String receivingArea)
            {
            this.receivingArea = receivingArea;
            }

    public String getReceivingArea()
            {
            return receivingArea;
            }
    public void setPackageId(String packageId)
            {
            this.packageId = packageId;
            }

    public String getPackageId()
            {
            return packageId;
            }
    public void setUseType(String useType)
            {
            this.useType = useType;
            }

    public String getUseType()
            {
            return useType;
            }
    public void setTelephone(String telephone)
            {
            this.telephone = telephone;
            }

    public String getTelephone()
            {
            return telephone;
            }
    public void setProductionDate(Date productionDate)
            {
            this.productionDate = productionDate;
            }

    public Date getProductionDate()
            {
            return productionDate;
            }
    public void setWgh(String wgh)
            {
            this.wgh = wgh;
            }

    public String getWgh()
            {
            return wgh;
            }
    public void setHigh(String high)
            {
            this.high = high;
            }

    public String getHigh()
            {
            return high;
            }
    public void setQualityInspecStatus(String qualityInspecStatus)
            {
            this.qualityInspecStatus = qualityInspecStatus;
            }

    public String getQualityInspecStatus()
            {
            return qualityInspecStatus;
            }
    public void setPeriodUnit(String periodUnit)
            {
            this.periodUnit = periodUnit;
            }

    public String getPeriodUnit()
            {
            return periodUnit;
            }
    public void setPeriod(BigDecimal period)
            {
            this.period = period;
            }

    public BigDecimal getPeriod()
            {
            return period;
            }

    public String getReportTime() {
        return reportTime;
    }

    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }

    public void setSalesOrderNumber(String salesOrderNumber)
            {
            this.salesOrderNumber = salesOrderNumber;
            }

    public String getSalesOrderNumber()
            {
            return salesOrderNumber;
            }
    public void setDeptId(Long deptId)
            {
            this.deptId = deptId;
            }

    public Long getDeptId()
            {
            return deptId;
            }
    public void setNoticeTabId(String noticeTabId)
            {
            this.noticeTabId = noticeTabId;
            }

    public String getNoticeTabId()
            {
            return noticeTabId;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lotId", getLotId())
            .append("goodsId", getGoodsId())
            .append("providerId", getProviderId())
            .append("locationId", getLocationId())
            .append("stoNum", getStoNum())
            .append("ctl", getCtl())
            .append("recoil", getRecoil())
            .append("accNum", getAccNum())
            .append("stockNum", getStockNum())
            .append("ondate", getOndate())
            .append("receiver", getReceiver())
            .append("storageId", getStorageId())
            .append("storageAreaId", getStorageAreaId())
            .append("operatorId", getOperatorId())
            .append("storageMode", getStorageMode())
            .append("goodsVolume", getGoodsVolume())
            .append("barcode", getBarcode())
            .append("customerId", getCustomerId())
            .append("remark", getRemark())
            .append("needDept", getNeedDept())
            .append("produclotId", getProduclotId())
            .append("unit", getUnit())
            .append("respDept", getRespDept())
            .append("plcId", getPlcId())
            .append("supplier", getSupplier())
            .append("goodsName", getGoodsName())
            .append("instand", getInstand())
            .append("brand", getBrand())
            .append("taskType", getTaskType())
            .append("applicant", getApplicant())
            .append("packingNum", getPackingNum())
            .append("damageNum", getDamageNum())
            .append("purchaseDept", getPurchaseDept())
            .append("price", getPrice())
            .append("scaleUnit", getScaleUnit())
            .append("totalVolume", getTotalVolume())
            .append("totalRoughWeight", getTotalRoughWeight())
            .append("totalNetWeigh", getTotalNetWeigh())
            .append("totalMoney", getTotalMoney())
            .append("acceId", getAcceId())
            .append("inStatus", getInStatus())
            .append("flag", getFlag())
            .append("standard", getStandard())
            .append("innerBatchNo", getInnerBatchNo())
            .append("printCs", getPrintCs())
            .append("printSts", getPrintSts())
            .append("purchaseType", getPurchaseType())
            .append("manualTrayState", getManualTrayState())
            .append("spec", getSpec())
            .append("wmsOrderId", getWmsOrderId())
            .append("batchNo", getBatchNo())
            .append("damageLocation", getDamageLocation())
            .append("status", getStatus())
            .append("updateTime", getUpdateTime())
            .append("specification", getSpecification())
            .append("goodsTypeId", getGoodsTypeId())
            .append("operateDate", getOperateDate())
            .append("planDate", getPlanDate())
            .append("planTime", getPlanTime())
            .append("needCycle", getNeedCycle())
            .append("needType", getNeedType())
            .append("expiryDate", getExpiryDate())
            .append("providerName", getProviderName())
            .append("receiverDept", getReceiverDept())
            .append("receivingArea", getReceivingArea())
            .append("packageId", getPackageId())
            .append("useType", getUseType())
            .append("telephone", getTelephone())
            .append("productionDate", getProductionDate())
            .append("wgh", getWgh())
            .append("high", getHigh())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("qualityInspecStatus", getQualityInspecStatus())
            .append("periodUnit", getPeriodUnit())
            .append("period", getPeriod())
            .append("reportTime", getReportTime())
            .append("salesOrderNumber", getSalesOrderNumber())
            .append("deptId", getDeptId())
            .append("noticeTabId", getNoticeTabId())
        .toString();
        }
}


















